From 3db7fb418de6f14833299f6a5993b90b575f2a1b Mon Sep 17 00:00:00 2001
From: cen <imbacen@gmail.com>
Date: Thu, 15 Feb 2024 15:55:13 +0100
Subject: [PATCH] add missing import for field_parse_binary_source, invoke
 conditionally on whitespace present in package name

---
 scripts/debrebuild.pl | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/scripts/debrebuild.pl b/scripts/debrebuild.pl
index 561db866..6ce88a56 100755
--- a/scripts/debrebuild.pl
+++ b/scripts/debrebuild.pl
@@ -20,6 +20,7 @@ use autodie;
 use Getopt::Long qw(:config gnu_getopt no_bundling no_auto_abbrev);
 
 use Dpkg::Control;
+use Dpkg::Control::FieldsCore;
 use Dpkg::Index;
 use Dpkg::Deps;
 use Dpkg::Source::Package;
@@ -230,7 +231,10 @@ if (not defined($host_arch)) {
 
 my $srcpkgname = $cdata->{Source};
 my $srcpkgver  = $cdata->{Version};
-{
+
+# in some cases the source field contains a version in the form: name (version)
+# for example: binclock (1.5-6)
+if ($srcpkgname =~ / /) {
     # make $@ local, so we don't print "Undefined subroutine" error message
     # in other parts where we evaluate $@
     local $@ = '';
-- 
2.39.2

